ONVIF::Device::Types::GetRecordingsResponseItem(3)

NAME
ONVIF::Device::Types::GetRecordingsResponseItem

DESCRIPTION
Perl data type class for the XML Schema defined complexType GetRecordingsResponseItem from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   RecordingToken

•   Configuration

•   Tracks

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Device::Types::GetRecordingsResponseItem
   RecordingToken => $some_value, # RecordingReference
   Configuration =>  { # ONVIF::Device::Types::RecordingConfiguration
     Source =>  { # ONVIF::Device::Types::RecordingSourceInformation
       SourceId =>  $some_value, # anyURI
       Name => $some_value, # Name
       Location => $some_value, # Description
       Description => $some_value, # Description
       Address =>  $some_value, # anyURI
     },
     Content => $some_value, # Description
     MaximumRetentionTime =>  $some_value, # duration
   },
   Tracks =>  { # ONVIF::Device::Types::GetTracksResponseList
     Track =>  { # ONVIF::Device::Types::GetTracksResponseItem
       TrackToken => $some_value, # TrackReference
       Configuration =>  { # ONVIF::Device::Types::TrackConfiguration
         TrackType => $some_value, # TrackType
         Description => $some_value, # Description
       },
     },
   },
 },

AUTHOR
Generated by SOAP::WSDL